/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.view;

import com.arrebol.taxiservicios.model.catalog.Location;
import com.arrebol.taxiservicios.model.enums.GenericEnumType;
import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class DriverInactiveAndBlackListView implements Serializable {

    private static final long serialVersionUID = -1L;

    private String id;
    private String fullName;
    private String localNumber;
    private String mobileNumber;
    private String address;
    private Date admissionDate;
    private GenericEnumType blackList;
    private String blackListDesc;
    private Date blackListDate;
    private Float blackListAdeudo;
    private Location location;

    public DriverInactiveAndBlackListView() {
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getLocalNumber() {
        return localNumber;
    }

    public void setLocalNumber(String localNumber) {
        this.localNumber = localNumber;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Date getAdmissionDate() {
        return admissionDate;
    }

    public void setAdmissionDate(Date admissionDate) {
        this.admissionDate = admissionDate;
    }

    public GenericEnumType getBlackList() {
        return blackList;
    }

    public void setBlackList(GenericEnumType blackList) {
        this.blackList = blackList;
    }

    public String getBlackListDesc() {
        return blackListDesc;
    }

    public void setBlackListDesc(String blackListDesc) {
        this.blackListDesc = blackListDesc;
    }

    public Date getBlackListDate() {
        return blackListDate;
    }

    public void setBlackListDate(Date blackListDate) {
        this.blackListDate = blackListDate;
    }

    public Float getBlackListAdeudo() {
        return blackListAdeudo;
    }

    public void setBlackListAdeudo(Float blackListAdeudo) {
        this.blackListAdeudo = blackListAdeudo;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 83 * hash + Objects.hashCode(this.id);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final DriverInactiveAndBlackListView other = (DriverInactiveAndBlackListView) obj;
        if (!Objects.equals(this.id, other.id)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "DriverInactiveAndBlackListView{" + "fullName=" + fullName + ", blackList=" + blackList + '}';
    }

}
